package com.gh.download;


/** 
 * @author Stay  
 * @version create time：Sep 23, 2014 5:52:11 PM 
 */
public interface DownloadListener {

	/**
	 * 更新每一次下载的大小
	 * @param downloadedSize
	 */
	void onProgressChanged(long length, int downloadedSize);

	/**
	 * 更新任务下载状态
	 * @param status
	 */
	void onStatusChanged(DownloadStatus status);

}
